package com.julylies.webservicemonitor.utils;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

/**
 * @author JulyLies
 * @version 1.0
 * @since 2023/7/20 07:35
 */
@Component
public class CheckWebSerVice {
    private static final String TARGET_URL = "https://joplin.huangdf.xyz";

    private final RestTemplate restTemplate;

    public CheckWebSerVice() {
        this.restTemplate = new RestTemplate();
    }

    /**
     * 每5分种执行一次检查
     */
    @Scheduled(fixedRate = 300000)
    public void checkWebServiceStatus() {
        try {
            restTemplate.getForEntity(TARGET_URL, String.class);
            System.out.println("Web服务正常运行中");
        } catch (Exception e) {
            System.err.println("Web服务挂掉了！" + e.getMessage());
            // TODO: 发送通知短信
        }
    }
}
